Role Name
=========

A role that configures the ldap client tools on a system

Role Variables
--------------

The most important variables are listed below:

``` yaml
ldap_uri: "ldap://ldap.example.org"
ldap_base_dn: "dc=example,dc=org"
ldap_tls_cacert: /etc/ssl/certs/ca-certificates.crt
ldap_uri: "ldap://ldap.example.org"
ldap_base_dn: "dc=example,dc=org"
ldap_tls_deb_cacert: /etc/ssl/certs/ca-certificates.crt
ldap_version: 3
ldap_nss_ignoreusers: 'avahi,backup,bin,daemon,games,gnats,irc,libuuid,list,lp,mail,man,messagebus,munin,news,nslcd,proxy,root,rstudio-server,sshd,sync,sys,syslog,uucp,www-data'

nslcd_ssl: True
nslcd_tls_reqcert: 'demand'
nslcd_search_scope: 'sub'
nslcd_authenticated_bind: False
nslcd_binddn: 'cn=anonymous,dc=example,dc=net'
nslcd_bindpw: 'use a vault'
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
